Skip to content
.seventhings.com

Prefill your credentials

Fill in your non-secret values to have them appear in the examples below. Stored locally in your browser.

Get person by uuid.

GET
/customer-api/v1/person/{personUuid}
curl --request GET \
--url https://your-instance.seventhings.com/customer-api/v1/person/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Get the information about the person by uuid.

personUuid
required
string format: uuid

The information about the person

Media typeapplication/json
object
fields

Fields defined in Template with its values, based on the type of the field. There is a difference with what can be send via POST/PUT/PATCH requests, and what will be returned via GET

This examples shows what data can be expected for ceraint field type:

POST/PUT/PATCH

{
    "ATTACHMENT": "array<string (fileUuid)>",
    "BARCODE": "string",
    "DATE": "string (Y-m-d)",
    "DATETIME": "string (Y-m-d\TH:i:sP)",
    "DECIMAL": "decimal (1.23)",
    "DROPDOWN": "string",
    "LINK": "string",
    "LINKED_ASSET": "int (asset id) | string (asset uuid)",
    "LINKED_LOCATION": "int (location id) | string (location uuid)",
    "LINKED_ROOM": "int (room id)| string (room uuid)",
    "LINKED_USER": "int (user id)| string (user uuid)",
    "LINKED_PERSON": "int (person id)| string (person uuid)",
    "LONG_TEXT": "string",
    "MONEY": "decimal (1.23)",
    "NUMBER": "int (123)",
    "REMINDER": "string (Y-m-d)",
    "TEXT": "string",
}

GET

{
    "ATTACHMENT": [
        {
            "uuid": "string (uuid)",
            "type": "string",
            "size": "int",
            "data_uri": "string",
            "file_uri": "string",
            "thumbnail_uri": "string",
        }
    ],
    "BARCODE": "string",
    "DATE": "string (Y-m-d)",
    "DATETIME": "string (Y-m-d\TH:i:sP)",
    "DECIMAL": "decimal (1.23)",
    "DROPDOWN": "string",
    "LINK": "string",
    "LINKED_ASSET": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LINKED_LOCATION": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LINKED_ROOM": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LINKED_USER": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LINKED_PERSON": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LONG_TEXT": "string",
    "MONEY": "decimal (1.23)",
    "NUMBER": "int (123)",
    "REMINDER": "string (Y-m-d)",
    "TEXT": "string",
}
object
key
additional properties
any
Example
{
"fields": {
"<field_key_1>": "<field_value_1>",
"<field_key_2>": "<field_value_2>",
"<field_key_3>": "<field_value_3>"
}
}

Access token is missing or invalid.

You are not permitted to perform the requested operation.

Internal Server Error.